The Shipment Parcel Template object

Attributes

id string

Unique identifier for the object.

created_at string

ISO 8601 timestamp of when the object was created.

updated_at string

ISO 8601 timestamp of when the object was last updated.

length number required
width number required
height number required
weight number required
parcel_template_name string required
The Shipment Parcel Template object
{
  "id": "shipment-parcel-template_abc123",
  "created_at": "2024-01-15T09: 30: 00Z",
  "updated_at": "2024-01-15T09: 30: 00Z",
  "length": 0,
  "width": 0,
  "height": 0,
  "weight": 0,
  "parcel_template_name": "parcel_template_name_example"
}
GET /api/stock/shipment-parcel-template/{id}

Retrieve a shipment parcel template

Retrieves the details of an existing shipment parcel template. Supply the unique shipment parcel template ID that was returned from a previous request.

Path parameters

id string required

The identifier of the shipment parcel template to retrieve.

Returns

Returns the shipment parcel template object if a valid identifier was provided.

GET /api/stock/shipment-parcel-template/{id}
curl https://api.overplane.dev/api/stock/shipment-parcel-template/shipment-parcel-template_abc123 \
  -H "Authorization: Bearer sk_test_..."
Response
{
  "id": "shipment-parcel-template_abc123",
  "created_at": "2024-01-15T09: 30: 00Z",
  "updated_at": "2024-01-15T09: 30: 00Z",
  "length": 0,
  "width": 0,
  "height": 0,
  "weight": 0,
  "parcel_template_name": "parcel_template_name_example"
}
GET /api/stock/shipment-parcel-template

List all shipment parcel templates

Returns a list of shipment parcel templates. The results are sorted by creation date, with the most recently created appearing first.

Query parameters

limit integer

Maximum number of objects to return. Default: 20.

offset integer

Number of objects to skip for pagination. Default: 0.

Returns

A paginated list of shipment parcel template objects.

GET /api/stock/shipment-parcel-template
curl https://api.overplane.dev/api/stock/shipment-parcel-template \
  -H "Authorization: Bearer sk_test_..."
Response
{
  "data": [
    {
      "id": "shipment-parcel-template_abc123",
      "created_at": "2024-01-15T09: 30: 00Z",
      "updated_at": "2024-01-15T09: 30: 00Z",
      "length": 0,
      "width": 0,
      "height": 0,
      "weight": 0,
      "parcel_template_name": "parcel_template_name_example"
    }
  ],
  "has_more": false,
  "total": 1
}
POST /api/stock/shipment-parcel-template

Create a shipment parcel template

Creates a new shipment parcel template object.

Body parameters

length number required
width number required
height number required
weight number required
parcel_template_name string required

Returns

Returns the newly created shipment parcel template object if the call succeeded.

POST /api/stock/shipment-parcel-template
curl https://api.overplane.dev/api/stock/shipment-parcel-template \
  -H "Authorization: Bearer sk_test_..." \
  -X POST \
  -H "Content-Type: application/json" \
  -d '{"length":0,"width":0,"height":0,"weight":0,"parcel_template_name":"parcel_template_name_example"}'
Response
{
  "id": "shipment-parcel-template_abc123",
  "created_at": "2024-01-15T09: 30: 00Z",
  "updated_at": "2024-01-15T09: 30: 00Z",
  "length": 0,
  "width": 0,
  "height": 0,
  "weight": 0,
  "parcel_template_name": "parcel_template_name_example"
}
PATCH /api/stock/shipment-parcel-template/{id}

Update a shipment parcel template

Updates the specified shipment parcel template by setting the values of the parameters passed. Any parameters not provided will be left unchanged.

Path parameters

id string required

The identifier of the shipment parcel template to update.

Body parameters

length number
width number
height number
weight number
parcel_template_name string

Returns

Returns the updated shipment parcel template object.

PATCH /api/stock/shipment-parcel-template/{id}
curl https://api.overplane.dev/api/stock/shipment-parcel-template/shipment-parcel-template_abc123 \
  -H "Authorization: Bearer sk_test_..." \
  -X PATCH \
  -H "Content-Type: application/json" \
  -d '{"length":0,"width":0}'
Response
{
  "id": "shipment-parcel-template_abc123",
  "created_at": "2024-01-15T09: 30: 00Z",
  "updated_at": "2024-01-15T09: 30: 00Z",
  "length": 0,
  "width": 0,
  "height": 0,
  "weight": 0,
  "parcel_template_name": "parcel_template_name_example"
}
DELETE /api/stock/shipment-parcel-template/{id}

Delete a shipment parcel template

Permanently deletes a shipment parcel template. This cannot be undone.

Path parameters

id string required

The identifier of the shipment parcel template to delete.

Returns

Returns a confirmation that the shipment parcel template has been deleted.

DELETE /api/stock/shipment-parcel-template/{id}
curl https://api.overplane.dev/api/stock/shipment-parcel-template/shipment-parcel-template_abc123 \
  -H "Authorization: Bearer sk_test_..." \
  -X DELETE
Response
{
  "id": "shipment-parcel-template_abc123",
  "deleted": true
}